Bug 1570363 - Update to 0.6.46
Summary: Update to 0.6.46
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: accountsservice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 10:49 UTC by Peter Robinson
Modified: 2018-04-29 20:53 UTC (History)
6 users (show)

Fixed In Version: accountsservice-0.6.47-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-29 20:53:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2018-04-22 10:49:00 UTC
It contains a number of fixes inc mem leaks over the previous 0.6.42 version in Fedora

Comment 1 Fedora Update System 2018-04-22 10:49:31 UTC
accountsservice-0.6.46-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61532861b1

Comment 2 Peter Robinson 2018-04-22 10:50:14 UTC

0.6.46

    Fix systemd unit file to use default standard output
    performance improvements
    leak fixes
    crash fixes
    support extra groups for admin users
    add policy that allows admins to allow users to change their own password
    introspection fixes
    elogind support
    decruftification of username blacklist
    Translation updates

0.6.45

    wrap password expiration info in libaccountsservice api

0.6.44

    export password expiration info from shadow file
    fix user classification logic
    don't lose track of users when /etc/passwd is reloaded

0.6.43

    Fix logout times in login-history
    increase performance in large deployments
    memory leak fix
    exclude nologin users from user list

Comment 3 Peter Robinson 2018-04-22 10:54:07 UTC
Also referenced here as part of gnome memory leak debugging: https://gitlab.gnome.org/GNOME/gnome-shell/issues/64#note_93600

Comment 4 Fedora Blocker Bugs Application 2018-04-22 23:45:35 UTC
Proposed as a Freeze Exception for 28-final by Fedora user pbrobinson using the blocker tracking app because:

 Adds a number of performance improvements, memory leak fixes, and crash fixes. Seems to improve gnome Workstation somewhat on low resourced (IE memory) devices such as the Raspberry Pi on F-28

Comment 5 Michael Catanzaro 2018-04-23 16:22:07 UTC
This also really really really needs to be added to mclazy, otherwise it's just going to unexpectedly fall two years behind again.

Comment 6 Michael Catanzaro 2018-04-23 16:22:30 UTC
Kalev, action item for you ^

Comment 7 Peter Robinson 2018-04-23 16:23:21 UTC
(In reply to Michael Catanzaro from comment #5)
> This also really really really needs to be added to mclazy, otherwise it's
> just going to unexpectedly fall two years behind again.

Was on my list to ping him

Comment 8 Kalev Lember 2018-04-23 16:28:44 UTC
mclazy is only for updating packages from download.gnome.org and doesn't work for accountsservice.

Comment 9 František Zatloukal 2018-04-23 17:50:21 UTC
Discussed during the 2018-04-23 blocker review meeting: [1]

The decision to classify this bug as an RejectedFreezeException was made:

"while the improvements to resource use are attractive, the risks of a major update to something as significant as accountsservice this late in the release process substantially outweigh the benefits"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.log.txt

Comment 10 Fedora Update System 2018-04-23 22:51:28 UTC
accountsservice-0.6.46-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-61532861b1

Comment 11 Michael Catanzaro 2018-04-24 00:08:13 UTC
(In reply to Kalev Lember from comment #8)
> mclazy is only for updating packages from download.gnome.org and doesn't
> work for accountsservice.

Hmm... someone needs to be responsible for upstream release monitoring, then. *Hides.*

I wonder if we have other GNOME SIG packages not hosted on download.gnome.org that have accidentally been left out. FWIW, our GNOME releng scripts <https://git.gnome.org/browse/releng/tree/tools/smoketesting/tarball-conversion.config> are able to update that tarball automatically without any issues.

Comment 12 Fedora Update System 2018-04-25 08:53:33 UTC
accountsservice-0.6.47-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1d39b6bd2

Comment 13 Fedora Update System 2018-04-26 04:52:46 UTC
accountsservice-0.6.47-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1d39b6bd2

Comment 14 Fedora Update System 2018-04-29 20:53:38 UTC
accountsservice-0.6.47-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.